Jump to content

problem with ESMC upgrade 7.1.503.0


Pinni3

Recommended Posts

Hi and Hello :)

I wanted to upgrade my ESMC to the latest version but installer say that Im using not supported db version. Is there any bypass ?

Quote

019-11-13 07:25:48 Information: Installer: GUID loaded from config-file with value: 24babe58-9d64-416b-9894-c395dacced81
2019-11-13 07:25:48 Information: Installer: Installed version loaded from config-file is: 7.0.471.0
2019-11-13 07:25:48 Information: Installer: Installed locale loaded from config-file is: en_US
2019-11-13 07:25:48 Information: Installer: Checking installed version...
2019-11-13 07:25:48 Information: CheckVersion: Action invoked with:  --current-version 7.1.503.0 --installed-version 7.0.471.0
2019-11-13 07:25:48 Information: CheckVersion: Set output property: P_VERSION_STATUS = UPGRADE
2019-11-13 07:25:48 Information: CheckVersion: Return code: 0
2019-11-13 07:25:48 Information: Installer: Checking of installed version was successful
2019-11-13 07:25:48 Information: Installer: Status of current installation is: UPGRADE
2019-11-13 07:25:48 Information: Installer: Checking database connection ...
2019-11-13 07:25:48 Information: DbCheckConnection: Action invoked with:  --current-version 7.1.503.0 --db-admin-password ********** --db-admin-username ********** --db-connectors-dir /tmp/tmp.afINoDHXZC/setup --$
2019-11-13 07:25:48 Information: DbCheckConnection: Set output property: P_DB_CONNECTION_STATUS =
2019-11-13 07:25:48 Information: DbCheckConnection: Set output property: P_DB_STATUS =
2019-11-13 07:25:48 Information: DbCheckConnection: Set output property: P_DB_UPGRADE =
2019-11-13 07:25:48 Information: DbCheckConnection: Set output property: P_DB_USE_FIRST_USER =
2019-11-13 07:25:48 Information: DbCheckConnection: Set output property: P_DB_PORT = 3306
2019-11-13 07:25:48 Information: GetDatabaseServerConnectionStringWithoutEscape: Created connection string: 'Driver=MySQL;Server=127.0.0.1;Port=3306;User=******;Password={******};CharSet=utf8;NO_LOCALE=1;NO_SSPS=$
2019-11-13 07:25:48 Information: Entering function: void Era::Setup::Common::CustomActions::CDatabaseReader::TestConnection(const string&, Era::Setup::Common::Database::Framework::ConnectOptions)
2019-11-13 07:25:48 Information: Leaving function: void Era::Setup::Common::CustomActions::CDatabaseReader::TestConnection(const string&, Era::Setup::Common::Database::Framework::ConnectOptions)
2019-11-13 07:25:48 Information: Entering function: std::__cxx11::string Era::Setup::Common::CustomActions::CDatabaseReader::GetVersionCommentOfDbServer(const string&)
2019-11-13 07:25:48 Information: DatabaseReader: Recycling current DB connection.
2019-11-13 07:25:48 Information: Leaving function: std::__cxx11::string Era::Setup::Common::CustomActions::CDatabaseReader::GetVersionCommentOfDbServer(const string&)
2019-11-13 07:25:48 Information: Entering function: std::__cxx11::string Era::Setup::Common::CustomActions::CDatabaseReader::GetVersionOfDbServer(const string&)
2019-11-13 07:25:48 Information: DatabaseReader: Recycling current DB connection.
2019-11-13 07:25:48 Information: Leaving function: std::__cxx11::string Era::Setup::Common::CustomActions::CDatabaseReader::GetVersionOfDbServer(const string&)
2019-11-13 07:25:48 Information: SQL Database server version is '5.5.62', which is considered as NOT SUPPORTED.
2019-11-13 07:25:48 Error: Provided database is not supported
2019-11-13 07:25:48 Information: DbCheckConnection: Set output property: P_DB_CONNECTION_STATUS = 77700
2019-11-13 07:25:48 Information: DbCheckConnection: Return code: 0
2019-11-13 07:25:48 Information: Installer: Provided database server is not supported. Please check the documentation for the list of supported databases.
2019-11-13 07:25:48 Information: Installer: Error: Provided database server is not supported. Please check the documentation for the list of supported databases.

 

 

Link to post
Share on other sites
8 minutes ago, Marcos said:

I assume 5.5.62 is the version of MariaDB which is not supported.

Please use MySQL or MS SQL instead. For db requirements, please refer to https://help.eset.com/esmc_install/70/en-US/sql_server_windows.html?database_requirements.html.

Its mysql db, mariadb is not supported :)

Quote

mysql  Ver 14.14 Distrib 5.5.62, for debian-linux-gnu (x86_64) using readline 6.3

 

# dpkg -l | grep -e mysql -e mariadb
ii  libdbd-mysql-perl:amd64              4.050-2                      amd64        Perl5 database interface to the MariaDB/MySQL database
ii  libmariadb3:amd64                    1:10.3.17-0+deb10u1          amd64        MariaDB database client library
ii  libmysqlclient18:amd64               5.5.62-0+deb8u1              amd64        MySQL database client library
ii  mariadb-common                       1:10.3.17-0+deb10u1          all          MariaDB common metapackage
ii  mysql-apt-config                     0.8.14-1                     all          Auto configuration for MySQL APT Repo.
ii  mysql-client                         5.5.62-0+deb8u1              all          MySQL database client (metapackage depending on the latest version)
ii  mysql-client-5.5                     5.5.62-0+deb8u1              amd64        MySQL database client binaries
ii  mysql-common                         8.0.18-1debian9              amd64        Common files shared between packages
ii  mysql-server                         5.5.62-0+deb8u1              all          MySQL database server (metapackage depending on the latest version)
ii  mysql-server-5.5                     5.5.62-0+deb8u1              amd64        MySQL database server binaries and system database setup
ii  mysql-server-core-5.5                5.5.62-0+deb8u1              amd64        MySQL database server binaries

 

Link to post
Share on other sites
  • ESET Staff

Hello, you are using unsupported MySQL version (5.5) which is no longer supported in ESMC 7.1. The only option is to upgrade your database to the one supported by ESMC 7.1 or downgrade ESMC back to 7.0 till you are able to process the upgrade. 

Link to post
Share on other sites

Archived

This topic is now archived and is closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...